Skip to main content
`Ctrl`+`K`

# DMNetworkSharedVertexGetInfo

Get info of a shared vertex struct, see petsc/private/dmnetworkimpl.h

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkSharedVertexGetInfo(DM dm, PetscInt v, PeOp PetscInt *gidx, PeOp PetscInt *n, const PeOp PetscInt *sv[])

Not Collective

## Input Parameters

- dm - the `DM` object

- v - vertex point

## Output Parameters

- gidx - global number of this shared vertex in the internal dmplex, pass `NULL` if not needed

- n - number of subnetworks that share this vertex, pass `NULL` if not needed

- sv - array of size `n`: sv[2i,2i+1]=(net[i], idx[i]), i=0,…,n-1, pass `NULL` if not needed

## See Also

`DM`, `DMNETWORK`, `DMNetworkGetSharedVertices()`

## Level

intermediate

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages